<?php session_start();
/******************************************************************
// ARQUIVO ...: Monta o XML das Datas e Horários das homologações 
// BY ........: PORTELA
// DATA ......: 21/07/2014
/******************************************************************/

//CONECTA AO MYSQL                     
require("lib/conexao_sinsweb.php");           

//RECEBE PARÃMETRO                     
$pEstado = $_POST["estado"];
//QUERY  
$sql = " 
       SELECT DISTINCT(TIME_FORMAT(data_hora, '%H:%i')) as hora_disponivel    
       FROM datas_homologacao  
	   WHERE cod_local=".$_SESSION[cod_local]." and cod_cancelamento = 0 and cod_agendamento = 0 and DATE_FORMAT(data_hora, '%d/%m/%Y') = '$pEstado'             
	   ORDER BY data_hora limit ".$PadraoLimiteHorariosAgenda;            

//EXECUTA A QUERY               
$sql = mysql_query($sql);       

$row = mysql_num_rows($sql);    

//VERIFICA SE VOLTOU ALGO 
if($row) {                
   //XML
   $xml  = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
   $xml .= "<cidades>\n";               
   
   //PERCORRE ARRAY            
   for($i=0; $i<$row; $i++) {  
      $codigo    = mysql_result($sql, $i, "hora_disponivel");
	  $descricao = mysql_result($sql, $i, "hora_disponivel");
      $xml .= "<cidade>\n";     
      $xml .= "<codigo>".$codigo."</codigo>\n";                  
      $xml .= "<descricao>".$descricao."</descricao>\n";         
      $xml .= "</cidade>\n";    
   }//FECHA FOR                 
   
   $xml.= "</cidades>\n";
   
   //CABEÇALHO
   Header("Content-type: application/xml; charset=utf-8"); 
}//FECHA IF (row)                                               

//PRINTA O RESULTADO  
echo $xml;            
?>
